Unit taeg2z_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AEG2Z_p;

function taeg2z: String;

implementation

function taeg2z: String;
var
J,I,IERR :Integer;
EVR :Array [0..3] of Extended;
EVI :Array [0..3] of Extended;
const
AR :Array [0..15] of Extended = ( 1.0e0,0.42e0,0.54e0,0.66e0,0.42e0,1.0e0,0.32e0,
0.44e0,0.54e0,0.32e0,1.0e0,0.22e0,0.66e0,0.44e0,
0.22e0,1.0e0 );
AI :Array [0..15] of Extended = ( 0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,
0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,0.e0 );
begin
Result := '';  {   }
Result := Result + #$0D#$0A;
Result := Result + Format('%s',
 [' BCE COCTBEHHE HAEH KOMEKCHO MATP' + #$0D#$0A +
 '    ' + #$0D#$0A +
 ' AR' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AR[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' AI' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AI[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
AEG2Z(4,AR,AI,EVR,EVI,IERR);
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' AR' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AR[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' AI' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AI[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' EVR' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  Result := Result + Format('%20.16f ',[EVR[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' EVI' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  Result := Result + Format('%20.16f ',[EVI[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('taeg2z',Result);  {     taeg2z.res }
exit;
end;

end.
